Subject: IPR in the write-up

From: Stephen Farrell <[email-masked]>
Date: Thu, 21 Mar 2013 16:50:34 +0000

Hi,

We recently saw a bit of push-back from a document
author on the need to confirm for the shepherd write-up
that there is no need for an IPR declaration for
one of that author's documents. Basically, the author
was saying "yes, I know what the boilerplate means
so I would have posted an IPR declaration if one
had been needed." (Well, words to that effect:-)

The shepherd in that case had asked for the confirmation,
and things could have gotten irritating for all
concerned, but as it turned out the draft wasn't slowed
down.

As a reminder the question in the current write-up
says:

"(7) Has each author confirmed that any and all appropriate IPR
disclosures required for full conformance with the provisions of BCP 78
and BCP 79 have already been filed. If not, explain why."

We had a quick discussion on the IESG list and felt that
it might be worth clarifying that that part of the write-up
isn't meant as a very hard requirement to close a mail
loop with all authors whilst doing the write-up. Having
each author explicitly send a mail is of course the
obvious way to do this and arguably better for recording
purposes. (Assuming the shepherd keeps mail.)

But for example, a fine answer to the question might
be, "The authors all confirmed except for X who
understands that the boilerplate already imposes a
requirement to declare IPR" or "I chatted with the
authors in Orlando to check this and its fine."

That way, folks such as the author referred to above need
not cause more work for the shepherd, while we still
hopefully get the main benefit from the question which is
to be a reminder for experienced folks who can forget
to check and to make sure new authors are specifically
pinged about IPR.

Hope that helps,
Cheers,
S.

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 21 Mar 2013 17:00:19 -0000

Oh good, you get to see two ADs disagreeing in public. Yes! It does happen. My
brother and I are not as one on this.

> requirement to declare IPR" 

I don't know how anyone could know this without having asked the person
concerned. In which case, one question is as bad as another.

I refer you to RFC 6702 and note that it is contrary to say "It is an insult to
ask me if I followed the rules, because the rules exist so of course I follow
them." We have plenty of running code to show that people forget. The point of
6702 (and the write-up text) is not to provide a signed piece of paper that can
be held up in court, it is to give people the opportunity to save themselves
from blunders, and to give the IETF the opportunity to consider IPR disclosures
before it is too late.

Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Stephen Farrell
> Sent: 21 March 2013 16:51
> To: Working Group Chairs
> Subject: IPR in the write-up
> 
> 
> Hi,
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 21 Mar 2013 10:04:29 -0700

On 3/21/13 10:00 AM, Adrian Farrel wrote:

> I refer you to RFC 6702 and note that it is contrary to say "It is
> an insult to ask me if I followed the rules, because the rules
> exist so of course I follow them." We have plenty of running code
> to show that people forget. The point of 6702 (and the write-up
> text) is not to provide a signed piece of paper that can be held up
> in court, it is to give people the opportunity to save themselves 
> from blunders, and to give the IETF the opportunity to consider IPR
> disclosures before it is too late.

+1. The idea behind RFC 6702 was to provide helpful text that everyone
could use as reminders to authors, editors, etc. There's no reason for
anyone to be defensive.

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 21 Mar 2013 17:12:25 +0000

I guess that what brother S. had in mind is the case when the said author already made his position known on this issue. 

I would point however to one more possible case - we have an author who did not make any previous known statement on these issues, and simply does not respond to mails. Are we (WG chairs and non-chair shepherds) supposed to write in the proto write-up something on the lines of: 

'All authors confirmed except for X who did not answered three mail messages sent to him at intervals of two weeks on this subject'

Thanks and Regards,

Dan

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Adrian Farrel
> Sent: Thursday, March 21, 2013 7:00 PM
> To: 'Stephen Farrell'; 'Working Group Chairs'
> Subject: RE: IPR in the write-up
> 
> Oh good, you get to see two ADs disagreeing in public. Yes! It does
> happen. My brother and I are not as one on this.
> 
> > But for example, a fine answer to the question might be, "The authors
> > all confirmed except for X who understands that the boilerplate
> > already imposes a requirement to declare IPR"
> 
> I refer you to RFC 6702 and note that it is contrary to say "It is an
> insult to ask me if I followed the rules, because the rules exist so of
> course I follow them." We have plenty of running code to show that
> people forget. The point of
> 6702 (and the write-up text) is not to provide a signed piece of paper
> that can be held up in court, it is to give people the opportunity to
> save themselves from blunders, and to give the IETF the opportunity to
> consider IPR disclosures before it is too late.
> 
> Adrian
> 
> 
> 
> > From: [email-masked] [mailto:[email-masked]] On
> > Behalf Of Stephen Farrell
> > We recently saw a bit of push-back from a document author on the need
> > to confirm for the shepherd write-up that there is no need for an IPR
> > declaration for one of that author's documents. Basically, the author
> > was saying "yes, I know what the boilerplate means so I would have
> > posted an IPR declaration if one had been needed." (Well, words to
> > that effect:-)
> >
> > The shepherd in that case had asked for the confirmation, and things
> > could have gotten irritating for all concerned, but as it turned out
> > the draft wasn't slowed down.
> >
> > disclosures required for full conformance with the provisions of BCP
> > 78 and BCP 79 have already been filed. If not, explain why."
> >
> > We had a quick discussion on the IESG list and felt that it might be
> > worth clarifying that that part of the write-up isn't meant as a very
> > hard requirement to close a mail loop with all authors whilst doing
> > the write-up. Having each author explicitly send a mail is of course
> > the obvious way to do this and arguably better for recording purposes.
> > (Assuming the shepherd keeps mail.)
> >
> > But for example, a fine answer to the question might be, "The authors
> > all confirmed except for X who understands that the boilerplate
> > already imposes a requirement to declare IPR" or "I chatted with the
> > That way, folks such as the author referred to above need not cause
> > more work for the shepherd, while we still hopefully get the main
> > benefit from the question which is to be a reminder for experienced
> > folks who can forget to check and to make sure new authors are
> > specifically pinged about IPR.
> >
> > Hope that helps,
> > Cheers,
> > S.

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 21 Mar 2013 18:04:28 +0000

> I guess that what brother S. had in mind is the case when the said author already made his position known on this issue. 

Correct. This particular author's position is known and clear.

> 'All authors confirmed except for X who did not answered three mail messages sent to him at intervals of two weeks on this subject'

Personally I think a shepherd facing that ought use their
judgement as to what to do. Could be waiting is right or
bringing it back to the WG (or chairs if the shepherd is
not a WG chair) or shooting it out to the AD or IESG and
letting them sort it out.

S

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 21 Mar 2013 18:25:59 +0000

Hi Klaas,

If your interpretation is correct the language in the write-up should be different. 

It currently says: 

> (7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why.

In order for me as a shepherd to dully answer 'yes' and then sign below I feel that I need to ask each of the authors and get a positive answer from each of the authors. 

Note also that BCP 79 says: 

> 3.2.  Rights and Permissions
> 
> 3.2.1.  All Contributions
> 
> _By submission of a Contribution_, each person actually submitting the
>     Contribution, and each named co-Contributor,is _deemed to agree___ 
> to
>     the following terms and conditions, on his or her own behalf, and on
>     behalf of the organizations the Contributor represents or is
>     sponsored by (if any) when submitting the Contribution.
> 
>     A. The Contributor represents that he or she has made or will
>        promptly make all disclosures required by Section 6.1.1 of this
>        document.
> 
>     B. The Contributor represents that there are no limits to the
>        Contributor's ability to make the grants, acknowledgments and
>        agreements herein that are reasonably and personally known to the
>        Contributor.
> 
>     C. If the Contribution is an Internet-Draft, this agreement must be
>        acknowledged, by including in the "Status of this Memo" section 
> on
>        the first page of the Contribution, the appropriate notices
>        described in Section 5 of [RFC3978].

So BCP 79 talks about 'has made or will promptly make' (the disclosures) allowing for disclosures to be made in the future, while the shepherd write-up uses only the past tense and asks the shepherd to declare that 'each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed'.

Regards,

Dan

> From: Klaas Wierenga (kwiereng) [mailto:[email-masked]]
> Sent: Thursday, March 21, 2013 8:00 PM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]; Stephen Farrell; Working Group Chairs
> Subject: Re: IPR in the write-up
> 
> I'm a bit puzzled. I have always assumed that being listed as a document
> author implies accepting the boilerplate text, I have therefore so far
> regarded the write-up text as a reminder both for me and the authors
> about the boilerplate text, assuming no alarm raised on my inquiry means
> ok. The only problem with that approach I can imagine is that someone is
> unknowingly listed as author, but in the drafts I have shepherded I have
> always witnessed active involvement of all authors. Am I wrong in
> treating it this way?
> 
> Klaas
> 
> Sent from my iPad
> 
> On 21 mrt. 2013, at 18:12, "Romascanu, Dan (Dan)" <[email-masked]>
> wrote:
> 
> > I guess that what brother S. had in mind is the case when the said
> author already made his position known on this issue.
> >
> > I would point however to one more possible case - we have an author
> who did not make any previous known statement on these issues, and
> simply does not respond to mails. Are we (WG chairs and non-chair
> shepherds) supposed to write in the proto write-up something on the
> lines of:
> >
> > 'All authors confirmed except for X who did not answered three mail
> messages sent to him at intervals of two weeks on this subject'
> >
> > Thanks and Regards,
> >
> > Dan
> >
> >
> >
> >
> >>> But for example, a fine answer to the question might be, "The
> >>> authors all confirmed except for X who understands that the
> >>> boilerplate already imposes a requirement to declare IPR"
> >>
> >> I don't know how anyone could know this without having asked the
> >> person concerned. In which case, one question is as bad as another.
> >>
> >> insult to ask me if I followed the rules, because the rules exist so
> >> of course I follow them." We have plenty of running code to show that
> >> 6702 (and the write-up text) is not to provide a signed piece of
> >> paper that can be held up in court, it is to give people the
> >> opportunity to save themselves from blunders, and to give the IETF
> >> the opportunity to consider IPR disclosures before it is too late.
> >>
> >> Adrian
> >>
> >>
> >>
> >>> From: [email-masked] [mailto:[email-masked]]
> >>> On Behalf Of Stephen Farrell
> >>> We recently saw a bit of push-back from a document author on the
> >>> need to confirm for the shepherd write-up that there is no need for
> >>> an IPR declaration for one of that author's documents. Basically,
> >>> the author was saying "yes, I know what the boilerplate means so I
> >>> would have posted an IPR declaration if one had been needed." (Well,
> >>> words to that effect:-)
> >>>
> >>> worth clarifying that that part of the write-up isn't meant as a
> >>> very hard requirement to close a mail loop with all authors whilst
> >>> doing the write-up. Having each author explicitly send a mail is of
> >>> course the obvious way to do this and arguably better for recording
> purposes.
> >>> But for example, a fine answer to the question might be, "The
> >>> authors all confirmed except for X who understands that the
> >>> boilerplate already imposes a requirement to declare IPR" or "I
> >>> chatted with the authors in Orlando to check this and its fine."
> >>>

---

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Thu, 21 Mar 2013 18:00:20 +0000

I'm a bit puzzled. I have always assumed that being listed as a document author implies accepting the boilerplate text, I have therefore so far regarded the write-up text as a reminder both for me and the authors about the boilerplate text, assuming no alarm raised on my inquiry means ok. The only problem with that approach I can imagine is that someone is unknowingly listed as author, but in the drafts I have shepherded I have always witnessed active involvement of all authors. Am I wrong in treating it this way?

Klaas

Sent from my iPad

---

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Thu, 21 Mar 2013 18:45:37 +0000

Hi Dan,

Good points.....

Klaas

Sent from my iPad

---

From: joel jaeggli <[email-masked]>
Date: Thu, 21 Mar 2013 13:41:16 -0700

> I'm a bit puzzled. I have always assumed that being listed as a document author implies accepting the boilerplate text, I have therefore so far regarded the write-up text as a reminder both for me…
I think there's some some substantial precedent for documents in which 
some people have been added for relatively minimal contributions on 
documents for which they are not actively involved...

I have on at least two occasions asked people if they were aware their 
name was on a draft. I don't think this is common however.